Method: projects.locations.instances.mpc.keyRings.keys.proposals.fetchProposalSignature

Retrieves the final assembled signature for a completed Proposal. This method should only be called on Proposals in a COMPLETED state.

HTTP request

GET https://mpc.googleapis.com/v1alpha1/{name=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*/proposals/*}:fetchProposalSignature

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique resource name of the proposal to get the signature for. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key}/proposals/{proposal} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}/keys/{key}/proposals/{proposal}.

Request body

The request body must be empty.

Response body

Response message containing the final signature.

If successful, the response body contains data with the following structure:

JSON representation
{
  "signature": string
}
Fields
signature

string (bytes format)

The final cryptographic signature, populated upon successful completion of the signing operation (Proposal in COMPLETED state).

A base64-encoded string.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.